# DOSBox Game Runner

A simple Python script to run DOS games in DOSBox.

## Description

This script is designed to make it easy to run DOS games in DOSBox on modern operating systems. It provides a GUI interface for configuring the DOSBox environment and launching the game.

The script reads configuration settings from a `dbgr.conf` file, which can be edited using the included `config_editor.py` script.

## Requirements

- Python 3.x
- DOSBox

## Installation

1. Install DOSBox.
2. Clone the repository or download the source code.
3. Run `pip install PyQt5 configparser` to install dependencies (PyQt5 and configparser).
4. Run the app with `python dbgr.py` once.  It will error out, and create `dbgr.conf`
5. Edit `dbgr.conf` to configure DOSBox settings for your system.

## Usage

1. Launch `dbgr.py`.
2. tThe script will call `config_editor.py` script to edit the configuration settings as needed.
3. Click the "Save" button to start the configured game in DOSBox.

## Contributing

Contributions are welcome! If you encounter any bugs or issues, please submit them via the issue tracker. Pull requests with bug fixes and new features are also welcome.

## License

This project is licensed under the MIT License. See `LICENSE` for details.
          